<!DOCTYPE html>
<html>

<head>
  <title>{{ title }}</title>
  <meta name="viewport" content="width=device-width, initial-scale=1">
</head>

<body class="ph-us-mobile-northstar">
  <div id="errorlogger">
    {{!-- <h1>Errors</h1> --}}
  </div>
  {{{ body }}}
  <script>
    {{{ errors }}}
    window.console.log('hello from views/layouts/mobileNorthStar')

    async function cancelAuthAttempt() {
      window.alert('cancelAuthAttempt called from layouts/mobileNorthStar')
      try {
        const response = await fetch("{{ base_path }}/authenticate/reject", {
          method: "POST",
          headers: {
            "Content-Type": "application/json",
          },
          body: JSON.stringify({
            reason: 'user_canceled', // example cancelation reason
            _csrf: "{{{ csrf_token }}}",
            pageName: "{{{ title }}}"
          })
        })

        window.alert(`1 :: ${response}`)

        if (response.status === 302) {
          const body = await response.json()
          window.location = body.redirect_to
        } else {
          window.alert(`2 :: ${response}`)
        }
      } catch (e) {
        // TODO: brand to implement error handling
        window.alert(`3 :: ${e}`)
      }
    }

    if (window.parent) {
      window.parent.postMessage({ type: "idp-ui-initialized" }, "*")
    }

    window.onerror = function (msg, url, lineNo, columnNo, error) {
      console.log('ONE ERROR')
      console.log({ msg, url, lineNo, columnNo, error })
      return false;
    }

    window.onunhandledrejection = (event) => {
      console.log('UNHANDLED REJECTION')
    }

    const ERROR_MESSAGES = {
      auth_invalid_email: "Email value did not pass validation",
      auth_invalid_first_name: "First name value did not pass validation",
      auth_invalid_last_name: "Last name value did not pass validation",
      auth_invalid_password: "Password does not meet complexity requirements",
      auth_invalid_tos: "Terms of service isn't a boolean, or string 'true'",
      auth_mismatch_credentials: "Invalid email or password",
      auth_mismatch_passwords: "Password and password confirmation fields do not match",
      auth_missing_email: "Email is required and was not included in the payload",
      auth_missing_first_name: "First name was not included in the form submission",
      auth_missing_last_name: "Last name was not included in the form submission",
      auth_missing_password: "Password was not included in the payload",
      auth_invalid_phone: "Invalid phone number",
      auth_missing_terms_and_conditions: "Terms and conditions were not included in the form submission",
      auth_missing_tos: "Terms of service wasn't included in the form submission",
      idp_external_request_failure: "A downstream system failed",
      internal_server_error: "An unknown error occurred",
      invalid_request: "Malformed request or missing hidden values",
      perm_lock_account: "Account locked indefinitely due to excessive failed login attempts",
      temp_lock_account: "Account locked for 5 minutes due to consecutive failed login attempts",
      auth_invalid_terms_and_conditions: "Terms of service isn't a boolean, or string 'true'",
    };

  </script>
</body>

</html>